CREATE TABLE "W_HYDRANT" ("id" INTEGER PRIMARY KEY  NOT NULL , "geom" BLOB , "xmin" FLOAT NOT NULL , "ymin" FLOAT NOT NULL , "xmax"FLOAT NOT NULL , "ymax" FLOAT NOT NULL, "rc" VARCHAR(255), `angle`  float);

CREATE TRIGGER [INSERT_ITEM_W_HYDRANT]
AFTER INSERT
ON [W_HYDRANT]
FOR EACH ROW
BEGIN
 INSERT INTO W_HYDRANTSPATINDEX (id,xmin,xmax,ymin,ymax)VALUES(new.rowid,new.xmin,new.xmax,new.ymin,new.ymax);
END;

CREATE TRIGGER [DELETE_ITEM_W_HYDRANT]
AFTER DELETE
ON [W_HYDRANT]
FOR EACH ROW
BEGIN
delete from W_HYDRANTSPATINDEX where old.id=W_HYDRANTSPATINDEX.id;
END;

CREATE TRIGGER [UPDATE_ITEM_W_HYDRANT]
AFTER UPDATE OF [geom], [xmin], [ymin], [xmax], [ymax]
ON [W_HYDRANT]
FOR EACH ROW
BEGIN
 delete from W_HYDRANTSPATINDEX where old.id=W_HYDRANTSPATINDEX.id;
 INSERT INTO W_HYDRANTSPATINDEX (id,xmin,xmax,ymin,ymax)VALUES(new.rowid,new.xmin,new.xmax,new.ymin,new.ymax);
END;

CREATE VIRTUAL TABLE W_HYDRANTSPATINDEX USING rtree(id,xmin,xmax,ymin,ymax);

CREATE TABLE "W_TCUSTOM" ("id" INTEGER PRIMARY KEY  NOT NULL , "geom" BLOB , "xmin" FLOAT NOT NULL , "ymin" FLOAT NOT NULL , "xmax" FLOATNOT NULL , "ymax" FLOAT NOT NULL, "rc" VARCHAR(255), `name`  text, `surname`  text, `city`  text, `userdraw`  INTEGER);

CREATE TRIGGER [INSERT_ITEM_W_TCUSTOM]
AFTER INSERT
ON [W_TCUSTOM]
FOR EACH ROW
BEGIN
 INSERT INTO W_TCUSTOMSPATINDEX (id,xmin,xmax,ymin,ymax)VALUES(new.rowid,new.xmin,new.xmax,new.ymin,new.ymax);
END;

CREATE TRIGGER [DELETE_ITEM_W_TCUSTOM]
AFTER DELETE
ON [W_TCUSTOM]
FOR EACH ROW
BEGIN
delete from W_TCUSTOMSPATINDEX where old.id=W_TCUSTOMSPATINDEX.id;
END;

CREATE TRIGGER [UPDATE_ITEM_W_TCUSTOM]
AFTER UPDATE OF [geom], [xmin], [ymin], [xmax], [ymax]
ON [W_TCUSTOM]
FOR EACH ROW
BEGIN
 delete from W_TCUSTOMSPATINDEX where old.id=W_TCUSTOMSPATINDEX.id;
 INSERT INTO W_TCUSTOMSPATINDEX (id,xmin,xmax,ymin,ymax)VALUES(new.rowid,new.xmin,new.xmax,new.ymin,new.ymax);
END;

CREATE VIRTUAL TABLE W_TCUSTOMSPATINDEX USING rtree(id,xmin,xmax,ymin,ymax);


CREATE TABLE "W_CLOSURE" ("id" INTEGER PRIMARY KEY  NOT NULL , "geom" BLOB , "xmin" FLOAT NOT NULL , "ymin" FLOAT NOT NULL , "xmax" FLOATNOT NULL , "ymax" FLOAT NOT NULL, "rc" VARCHAR(255));

CREATE TRIGGER [INSERT_ITEM_W_CLOSURE]
AFTER INSERT
ON [W_CLOSURE]
FOR EACH ROW
BEGIN
 INSERT INTO W_CLOSURESPATINDEX (id,xmin,xmax,ymin,ymax)VALUES(new.rowid,new.xmin,new.xmax,new.ymin,new.ymax);
END;

CREATE TRIGGER [DELETE_ITEM_W_CLOSURE]
AFTER DELETE
ON [W_CLOSURE]
FOR EACH ROW
BEGIN
delete from W_CLOSURESPATINDEX where old.id=W_CLOSURESPATINDEX.id;
END;

CREATE TRIGGER [UPDATE_ITEM_W_CLOSURE]
AFTER UPDATE OF [geom], [xmin], [ymin], [xmax], [ymax]
ON [W_CLOSURE]
FOR EACH ROW
BEGIN
 delete from W_CLOSURESPATINDEX where old.id=W_CLOSURESPATINDEX.id;
 INSERT INTO W_CLOSURESPATINDEX (id,xmin,xmax,ymin,ymax)VALUES(new.rowid,new.xmin,new.xmax,new.ymin,new.ymax);
END;

CREATE VIRTUAL TABLE W_CLOSURESPATINDEX USING rtree(id,xmin,xmax,ymin,ymax);



CREATE TABLE "W_NODE" ("id" INTEGER PRIMARY KEY  NOT NULL , "geom" BLOB , "xmin" FLOAT NOT NULL , "ymin" FLOAT NOT NULL , "xmax" FLOATNOT NULL , "ymax" FLOAT NOT NULL, "rc" VARCHAR(255));

CREATE TRIGGER [INSERT_ITEM_W_NODE]
AFTER INSERT
ON [W_NODE]
FOR EACH ROW
BEGIN
 INSERT INTO W_NODESPATINDEX (id,xmin,xmax,ymin,ymax)VALUES(new.rowid,new.xmin,new.xmax,new.ymin,new.ymax);
END;

CREATE TRIGGER [DELETE_ITEM_W_NODE]
AFTER DELETE
ON [W_NODE]
FOR EACH ROW
BEGIN
delete from W_NODESPATINDEX where old.id=W_NODESPATINDEX.id;
END;

CREATE TRIGGER [UPDATE_ITEM_W_NODE]
AFTER UPDATE OF [geom], [xmin], [ymin], [xmax], [ymax]
ON [W_NODE]
FOR EACH ROW
BEGIN
 delete from W_NODESPATINDEX where old.id=W_NODESPATINDEX.id;
 INSERT INTO W_NODESPATINDEX (id,xmin,xmax,ymin,ymax)VALUES(new.rowid,new.xmin,new.xmax,new.ymin,new.ymax);
END;

CREATE VIRTUAL TABLE W_NODESPATINDEX USING rtree(id,xmin,xmax,ymin,ymax);


CREATE TABLE [W_PIPING] (
  [id] INTEGER NOT NULL PRIMARY KEY, 
  [geom] BLOB, 
  [xmin] FLOAT NOT NULL, 
  [ymin] FLOAT NOT NULL, 
  [xmax] FLOAT NOT NULL, 
  [ymax] FLOAT NOT NULL, 
  [rc] VARCHAR(255), 
  [Datum_vystavby] DATE, 
  [dim_prip] INTEGER, 
  [zakazka] integer, 
  [userdraw] INTEGER);

CREATE TRIGGER [INSERT_ITEM_W_PIPING]
AFTER INSERT
ON [W_PIPING]
FOR EACH ROW
BEGIN
 INSERT INTO W_PIPINGSPATINDEX (id,xmin,xmax,ymin,ymax)VALUES(new.rowid,new.xmin,new.xmax,new.ymin,new.ymax);
END;

CREATE TRIGGER [DELETE_ITEM_W_PIPING]
AFTER DELETE
ON [W_PIPING]
FOR EACH ROW
BEGIN
delete from W_PIPINGSPATINDEX where old.id=W_PIPINGSPATINDEX.id;
END;

CREATE TRIGGER [UPDATE_ITEM_W_PIPING]
AFTER UPDATE OF [geom], [xmin], [ymin], [xmax], [ymax]
ON [W_PIPING]
FOR EACH ROW
BEGIN
 delete from W_PIPINGSPATINDEX where old.id=W_PIPINGSPATINDEX.id;
 INSERT INTO W_PIPINGSPATINDEX (id,xmin,xmax,ymin,ymax)VALUES(new.rowid,new.xmin,new.xmax,new.ymin,new.ymax);
END;

CREATE VIRTUAL TABLE W_PIPINGSPATINDEX USING rtree(id,xmin,xmax,ymin,ymax);



CREATE TABLE "demo_doc" ("ID" INTEGER NOT NULL PRIMARY KEY AUTOINCREMENT, BLOB_TYPE VARCHAR(50),LABEL TEXT,BIRTH_DATE DATETIME,DOC BLOB,ID_GRAPHICS_ELEMENT INTEGER, `STRING_ID`  varchar(256));

CREATE TRIGGER demo_doc_insert_date AFTER INSERT ON demo_doc
BEGIN
UPDATE demo_doc SET BIRTH_DATE = DATETIME('NOW')  WHERE rowid = new.rowid;
UPDATE demo_doc SET STRING_ID = 'ID'||new.rowid WHERE rowid = new.rowid; 
END;